Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1117706 - GetAllFromExportDomainQuery fail on Java exception.
Summary: GetAllFromExportDomainQuery fail on Java exception.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.5.0
Assignee: Yair Zaslavsky
QA Contact: Ilanit Stein
URL:
Whiteboard: infra
Depends On:
Blocks: rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2014-07-09 08:50 UTC by Ilanit Stein
Modified: 2016-02-10 19:45 UTC (History)
8 users (show)

Fixed In Version: vt1.3
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-17 17:14:12 UTC
oVirt Team: Infra
Target Upstream Version:


Attachments (Terms of Use)
logs (deleted)
2014-07-09 08:52 UTC, Ilanit Stein
no flags Details

Description Ilanit Stein 2014-07-09 08:50:48 UTC
Description of problem:
Get all VMs from export domain fail on Java exception (seen in engine.log).

Version-Release number of selected component (if applicable):
ovirt-engine-3.5.0-0.0.master.20140629172257.git0b16ed7.el6.noarch
It passes for 3.4.

How reproducible:
100%
Reproduced on all 3 daily runs of automatic test:
http://jenkins.qa.lab.tlv.redhat.com:8080/job/3.5-art_rpm_build_testing/34/engine=rest,test=reg_vms/testReport/junit/reg_vms.reg_vms/020-ImportExportVm;basic_import_export_vm/ImportExportVm_basic_import_export_vm/

Steps to Reproduce (seen via REST, but may also occur via UI):
1. Export vm
2. Export vm, that override existing one
3. Remove origin VM (In local storage domain) 
3. Get all VMs from Export domain

From engine.log ERRORs:
2014-07-08 09:58:27,542 ERROR [org.ovirt.engine.core.bll.CommandsFactory] (ajp--127.0.0.1-8702-4) Command Factory: Failed to create command class org.ovirt.engine.core.bll.storage.GetVmsFromExportDomainQuery using reflection
. java.lang.reflect.InvocationTargetException: java.lang.reflect.InvocationTargetException

Comment 1 Ilanit Stein 2014-07-09 08:52:26 UTC
Created attachment 916677 [details]
logs

Comment 2 Oved Ourfali 2014-07-09 10:46:32 UTC
Already fixed by Yair.

Comment 4 Ilanit Stein 2014-08-06 14:15:42 UTC
Verified on ovirt-engine-setup-3.5.0-0.0.master.20140629172257.git0b16ed7.el6.noarch

Comment 5 Eyal Edri 2015-02-17 17:14:12 UTC
rhev 3.5.0 was released. closing.


Note You need to log in before you can comment on or make changes to this bug.